Skip to navigation

Get a Company's Slug

View as Markdown

Returns the current slug, canonical path, and public URL. Any signed-in user may call this.

Authentication

AuthorizationBearer

Your aVenture API key (https://aventure.vc/settings/api-keys) or OAuth access token

Path parameters

entityIdstringRequiredformat: "uuid"
Entity UUID

Response headers

X-RateLimit-LimitintegerOptional

Requests allowed per client IP in the current rate-limit window.

X-RateLimit-RemainingintegerOptional

Requests left before the tightest applicable rate-limit bucket rejects.

X-RateLimit-ResetintegerOptional

Seconds until the exhausted rate-limit bucket admits another request; 0 when none is exhausted.

Response

OK
idstring
pathstring
resourceTypeenum
Resource type whose slug is being changed
Allowed values:
slugstring
urlstring
entityTypestring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error